Search found 98 matches

Go to advanced search

by Cyril
Sun May 17, 2020 1:29 pm
Forum: UX/UI Design
Topic: Having a UX/UI designer contribute to FreeCAD?
Replies: 5
Views: 307

Re: Having a UX/UI designer contribute to FreeCAD?

I am really happy to see an UI/UX designer here :) . I share the opinion you describe about FreeCAD. It has very good functionalities but a lot of space for UI/UX Improvement. I hope you will feel welcome here ! To FreeCAD developers please include and welcome this initiative. Many FOSS projects or ...
by Cyril
Sat Apr 18, 2020 10:25 am
Forum: Packaging
Topic: Why FreeCAD probably cannot be downloaded on slow connections from GitHub
Replies: 3
Views: 129

Re: Why FreeCAD probably cannot be downloaded on slow connections from GitHub

You can try to clone from a mirror like the one I have set up : https://framagit.org/freecad/FreeCAD
Then you change eventually change remote to get diff from github.

Edit : Oops, never mind, you are talking about binaries, not source code.
by Cyril
Mon Apr 06, 2020 5:14 pm
Forum: UX/UI Design
Topic: Modern UI
Replies: 193
Views: 9364

Re: Modern UI

Very nice !
Would it be hard to combine different icon sizes and/or use drop-down button (eg. boolean in Part) :
  • To highlight some important tools and have some less important/used but related tool close to it
  • To manage the tab width to a size suited for common screens without scrolling.
by Cyril
Mon Apr 06, 2020 4:57 pm
Forum: UX/UI Design
Topic: [CaseStudy] pyRevit - A welcoming environment for hackers
Replies: 2
Views: 239

Re: [CaseStudy] pyRevit - A welcoming environment for hackers

Thanks for this casestudy! I like how thorough you are (also with a previous thread showing how to use work with FreeCAD 'remotely') Thanks a lot Kunda1. I really appreciate (and I learned a new word: «thorough» :lol:). These are all very valid pain points. I've tried to do some hack on the CLI int...
by Cyril
Sun Apr 05, 2020 4:04 pm
Forum: UX/UI Design
Topic: [CaseStudy] pyRevit - A welcoming environment for hackers
Replies: 2
Views: 239

[CaseStudy] pyRevit - A welcoming environment for hackers

Hi, Wanted to point out some qualities of pyRevit which is in my opinion very welcoming for hackers. You can concentrate on the tools/function you want/need to create. Making an UI for basic stuffs is piece of cake. The goal is only to share some UI/UX inspirations from elsewhere. pyRevit is an open...
by Cyril
Fri Apr 03, 2020 5:35 pm
Forum: Python scripting and macros
Topic: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge
Replies: 6
Views: 180

Re: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge

In this case why does this works (this is exactly the image I gave as a working case) : Not for me, I get what you labeled as "Case 1" from that code. Strange, I did it many times with many version of FreeCAD (0.17 to 0.19) on both Linux and Windows oO In any case, even though it may look like it's...
by Cyril
Fri Apr 03, 2020 10:20 am
Forum: Python scripting and macros
Topic: app:: property link meaning?
Replies: 8
Views: 666

Re: app:: property link meaning?

I know that your post is pretty old but I find the question useful. PropertyLink is pretty understandable but for subtypes I found an explanation in source code here : /** * @brief Defines different scopes for which a link can be valid * The scopes defined in this enum describe the different possibi...
by Cyril
Thu Apr 02, 2020 5:55 pm
Forum: Python scripting and macros
Topic: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge
Replies: 6
Views: 180

Re: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge

No, it is not a bug. Wires are not allowed to touch or intersect. The resulting face having a stray edge is not how OCC works. If you need to cut holes that way, use boolean operations. In this case why does this works (this is exactly the image I gave as a working case) : Part.show( Part.makeFace(...
by Cyril
Thu Apr 02, 2020 3:52 pm
Forum: Python scripting and macros
Topic: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge
Replies: 6
Views: 180

Re: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge

Case 3 can be solve by rounding all input points. However the following which correspond to case 2 is a mystery to me : All points are perfectly coplanar (z=0) All points from inner boundary are inside the outer boundary (2 are on an edge of it) Part.show( Part.makeFace( [ Part.makePolygon( [ FreeCA...
by Cyril
Thu Apr 02, 2020 1:14 am
Forum: Python scripting and macros
Topic: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge
Replies: 6
Views: 180

Re: FaceMaker::Bullseye issue using 2 wire with 1 collinear edge

Another case leads to creation of a Part::Coumpound because some points of inner wire are slightly (-8.087135865935119e-05 mm) outside of outer wire : wire_1 = Part.makePolygon([ FreeCAD.Vector(0.0, 0.0, 0.0), FreeCAD.Vector(2219.99721119101, 0.0, 0.0), FreeCAD.Vector(2219.99721119101, 2980.00008087...

Go to advanced search